<?php
require dirname(__FILE__) . "/dzsck.php";
include('../inc/aik.config.php');
/**
 * ---------------------参数生成页-------------------------------
 * Author:Leo
 * Project:PaysApi.com
 * 
 * 在您自己的服务器上生成新订单，并把计算好的订单信息传给您的前端网页。
 * 注意：
 * 1.key一定要在服务端计算，不要在网页中计算。
 * 2.token只能存放在服务端，不可以以任何形式存放在网页代码中（可逆加密也不行），也不可以通过url参数方式传入网页。
 * 3.接口跑通后，如果发现收款二维码是我们官方的，请检查APP是否正在运行。为保障您收款功能正常，如果您的收款手机APP掉线超过一分钟，就会触发代收款机制，详情请看网站帮助。
 * --------------------------------------------------------------
 */
   function generate_code($length = 6) {
    return rand(pow(10,($length-1)), pow(10,$length)-1);
}

    //从网页传入price:支付价格， istype:支付渠道：1-支付宝；2-微信支付
    $price = $_POST["price"];
    $istype = $_POST["istype"];
    $vipname=$_POST['vipname'];
    $orderuid = $aik['sitename'];       //此处传入您网站用户的用户名，方便在paysapi后台查看是谁付的款，强烈建议加上。可忽略。

	 
	if($_POST['add']=='ddinfo'){
	        $dd_adminid = $_SESSION["adminid"];
			$dd_vip = $vipname; 
			$dd_rmb = $price; //金额
			$dd_paytype = $_POST['paytype']; //支付类型
			
			$dd_paynum = $orderuid; //支付账号
			$dd_order=date('Y').date('m').date('d').date('H').date('i').generate_code(6);
			$dd_order = $dd_order; //订单号
			$dd_type = $_POST['dd_type'];
			$nowtime=time();		
	$isql="INSERT INTO d_ddcenter(dd_adminid,dd_vip,dd_rmb,dd_paytype,dd_paynum,dd_order,dd_time)VALUES('$dd_adminid','$dd_vip','$dd_rmb','$dd_paytype','$dd_paynum','$dd_order','$nowtime')";
	///echo $isql;
	$ddinfo=mysql_query($isql);
		if ($ddinfo) {
			//echo tiao("订单递交成功，正在审核！", "ddcenter.php");
			
		}
		else {
			//echo tiao("订单递交失败，请重新递交！", "payvip2.php");
			
		}
	}



    //校验传入的表单，确保价格为正常价格（整数，1位小数，2位小数都可以），支付渠道只能是1或者2，orderuid长度不要超过33个中英文字。

    //此处就在您服务器生成新订单，并把创建的订单号传入到下面的orderid中。
    $goodsname = "会员升级订单";
    $orderid = $dd_order;    //每次有任何参数变化，订单号就变一个吧。
    $huidiao=$aik['paysapi_huidiao'];
    $uid=$aik['paysapi_uid'];
	$token=$aik['paysapi_token'];
    $return_url = $huidiao.'/user/payreturn.php';
    $notify_url = $huidiao.'/user/paynotify.php';
    $key = md5($goodsname. $istype . $notify_url . $orderid . $orderuid . $price . $return_url . $token . $uid);
    //经常遇到有研发问为啥key值返回错误，大多数原因：1.参数的排列顺序不对；2.上面的参数少传了，但是这里的key值又带进去计算了，导致服务端key算出来和你的不一样。

    $returndata['goodsname'] = $goodsname;
    $returndata['istype'] = $istype;
    $returndata['key'] = $key;
    $returndata['notify_url'] = $notify_url;
    $returndata['orderid'] = $orderid;
    $returndata['orderuid'] =$orderuid;
    $returndata['price'] = $price;
    $returndata['return_url'] = $return_url;
    $returndata['uid'] = $uid;
    echo jsonSuccess("OK",$returndata,"");


    //返回错误
    function jsonError($message = '',$url=null) 
    {
        $return['msg'] = $message;
        $return['data'] = '';
        $return['code'] = -1;
        $return['url'] = $url;
        return json_encode($return);
    }

    //返回正确
    function jsonSuccess($message = '',$data = '',$url=null) 
    {
        $return['msg']  = $message;
        $return['data'] = $data;
        $return['code'] = 1;
        $return['url'] = $url;
        return json_encode($return);
    }

?>